LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::script::FailReason Constant Group Referencepublished

These values specify the reason why a type conversion failed. More...

## Variables
const long | OUT_OF_RANGE = 1
| The given value does not fit in the range of the destination type. More...
const long | IS_NOT_NUMBER = 2
| The given value cannot be converted to a number. More...
const long | IS_NOT_ENUM = 3
| The given value cannot be converted to an enumeration. More...
const long | IS_NOT_BOOL = 4
| The given value cannot be converted to a boolean. More...
const long | NO_SUCH_INTERFACE = 5
| The given value is not an interface or cannot queried to the right interface. More...
const long | SOURCE_IS_NO_DERIVED_TYPE = 6
| The given value cannot be converted to right structure or exception type. More...
const long | TYPE_NOT_SUPPORTED = 7
| The type class of the given value is not supported. More...
const long | INVALID = 8
| The given value cannot be converted and none of the other reasons match. More...
const long | NO_DEFAULT_AVAILABLE = 9
| This value is deprecated. More...
const long | UNKNOWN = 10
| This value is deprecated. More...

## Detailed Description

These values specify the reason why a type conversion failed.

## Variable Documentation

## ◆ INVALID

const long INVALID = 8

The given value cannot be converted and none of the other reasons match.

## ◆ IS_NOT_BOOL

const long IS_NOT_BOOL = 4

The given value cannot be converted to a boolean.

## ◆ IS_NOT_ENUM

const long IS_NOT_ENUM = 3

The given value cannot be converted to an enumeration.

## ◆ IS_NOT_NUMBER

const long IS_NOT_NUMBER = 2

The given value cannot be converted to a number.

## ◆ NO_DEFAULT_AVAILABLE

const long NO_DEFAULT_AVAILABLE = 9

This value is deprecated.

Do not use.

Deprecated:

## ◆ NO_SUCH_INTERFACE

const long NO_SUCH_INTERFACE = 5

The given value is not an interface or cannot queried to the right interface.

## ◆ OUT_OF_RANGE

const long OUT_OF_RANGE = 1

The given value does not fit in the range of the destination type.

## ◆ SOURCE_IS_NO_DERIVED_TYPE

const long SOURCE_IS_NO_DERIVED_TYPE = 6

The given value cannot be converted to right structure or exception type.

## ◆ TYPE_NOT_SUPPORTED

const long TYPE_NOT_SUPPORTED = 7

The type class of the given value is not supported.

## ◆ UNKNOWN

const long UNKNOWN = 10

This value is deprecated.

Do not use.

Deprecated: